Skip to main content
POST
Update Event Definition

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

definitionId
string
required

Event definition identifier.

Body

title
string
required

Event definition title. Must not be empty. Maximum length: 100 characters.
Note: The title cannot be changed for a template definition. If the client tries to update the value, it will be overwritten with the standard title from the template.

Required string length: 1 - 100
description
string | null

Event definition description. Maximum length: 2000 characters.
Note: The description cannot be changed for a template definition. If the client tries to update the value, it will be overwritten with the standard description from the template.

Maximum string length: 2000
fields
EventFieldResource · object[] | null

Event definition fields. The total number of fields cannot exceed 120. Field names must be unique (case-insensitive). The number of fields of type List cannot exceed 1. Only new fields can be added; existing fields cannot be removed or changed.

Maximum array length: 120

Response

OK

isInternalDefinition
boolean

Indicates whether this is a standard (internal) event definition provided by the system, or a custom (external) definition created by the user.

category
enum<string> | null

Event definition category.

Available options:
external,
person,
channel,
product,
template
subcategory
enum<string> | null

Event definition subcategory.

Available options:
sms,
email,
push,
whatsapp,
viber,
facebook,
moments,
forms,
conversations,
mobileapp,
voice,
line,
appleBC,
rcs,
mms,
viberBot,
inapp,
answers,
blocklist
definitionId
string | null

Event definition identifier.

title
string | null

Event definition title.

description
string | null

Event definition description.

fields
EventFieldResource · object[] | null

Event definition fields describing the structure and data types of the event properties.